package com.sqx.modules.userSign.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sqx.modules.userSign.entity.UserSignRecord;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface UserSignRecordDao extends BaseMapper<UserSignRecord> {
    //周 抽奖次数
    List<UserSignRecord> getTaskWCount(long userId, int wCount,String time,List<Long> ids);

    List<Long> getNoRecordTask(long userId,  String time);
    //周 签到 次数 连续签到
    Integer getWSignCount(long userId,String time);

}

